<template>
  <div class="control-item">
    <AsIcon :name="icon" :key="controlName" />
    <div class="control-item__name">{{ controlName }}</div>
  </div>
</template>

<script>
export default {
  name: 'ControlItem',
  props: {
    icon: {
      type: String,
      default: 'freeze-card',
    },
    controlName: {
      type: String,
      default: 'Freeze card',
    },
  },
};
</script>

<style lang="scss">
.control-item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  max-width: 60px;
  &__name {
    color: $-dark-blue;
    margin-top: 5px;
    text-align: center;
  }
}
</style>
